fop 1.1

## org.apache.fop.fo.pagination
Class PageProductionException.PageProductionExceptionFactory

    java.lang.Object
      org.apache.fop.fo.pagination.PageProductionException.PageProductionExceptionFactory

All Implemented Interfaces:
  EventExceptionManager.ExceptionFactory

Enclosing class:
  PageProductionException

    public static class PageProductionException.PageProductionExceptionFactory

extends java.lang.Object
implements EventExceptionManager.ExceptionFactory

Exception factory for `PageProductionException`.

Constructor Summary
`PageProductionException.PageProductionExceptionFactory()`

Method Summary
`java.lang.Throwable` `createException(Event event)` Creates an exception from an event.
`java.lang.Class<PageProductionException>` `getExceptionClass()` Returns the `Exception` class created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageProductionException.PageProductionExceptionFactory

    public PageProductionException.PageProductionExceptionFactory()

Method Detail

### createException

    public java.lang.Throwable createException(Event event)

  Creates an exception from an event.

  Specified by:
    `createException` in interface `EventExceptionManager.ExceptionFactory`
  Parameters:
    `event` - the event
  Returns:
    the newly created exception

### getExceptionClass

    public java.lang.Class<PageProductionException> getExceptionClass()

  Returns the `Exception` class created by this factory.

  Specified by:
    `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`
  Returns:
    the exception class

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.